aboutsummaryrefslogtreecommitdiffstats
path: root/debian
diff options
context:
space:
mode:
authorFritz Elfert <felfert@to.com>2003-02-03 23:24:38 +0000
committerFritz Elfert <felfert@to.com>2003-02-03 23:24:38 +0000
commitcf7c35b8212c124a9eeedadadf5819bacbf3eb2e (patch)
tree880da38cfd228bce61673f1acebfb91712498228 /debian
parentfc4a92ad209a004b3dc1ba19c086943832174909 (diff)
downloadplptools-cf7c35b8212c124a9eeedadadf5819bacbf3eb2e.tar.gz
plptools-cf7c35b8212c124a9eeedadadf5819bacbf3eb2e.tar.bz2
plptools-cf7c35b8212c124a9eeedadadf5819bacbf3eb2e.zip
- Inserted a delay in debian initscript
Diffstat (limited to 'debian')
-rw-r--r--debian/plptools.init9
1 files changed, 5 insertions, 4 deletions
diff --git a/debian/plptools.init b/debian/plptools.init
index 5e0f80d..78b7ba5 100644
--- a/debian/plptools.init
+++ b/debian/plptools.init
@@ -1,6 +1,6 @@
#! /bin/sh
#
-# start or stop the plptools daemon
+# start or stop the plptools daemons
#
PATH=/sbin:/bin:/usr/sbin:/usr/bin
@@ -24,21 +24,22 @@ case "$1" in
echo -n "Starting $DESC ($DAEMON1): "
start-stop-daemon --start --quiet \
--exec $DAEMON1 -- $NCPD_ARGS && \
- echo -n "done" || echo -n "already running"
+ echo -n "done" || echo -n "failed"
echo "."
+ sleep 1
fi
if test "$START_PLPNFSD" = "yes" ; then
echo -n "Starting $DESC ($DAEMON2): "
start-stop-daemon --start --quiet \
--exec $DAEMON2 -- $PLPNFSD_ARGS && \
- echo -n "done" || echo -n "already running"
+ echo -n "done" || echo -n "failed"
echo "."
fi
if test "$START_PLPPRINTD" = "yes" ; then
echo -n "Starting $DESC ($DAEMON3): "
start-stop-daemon --start --quiet \
--exec $DAEMON3 -- $PLPPRINTD_ARGS && \
- echo -n "done" || echo -n "already running"
+ echo -n "done" || echo -n "failed"
echo "."
fi
;;